package com.dcsoft.job.mapper;



import com.dcsoft.job.domain.KqHoliday;

import java.util.List;

/**
 * 假期设置Mapper接口
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public interface KqHolidayMapper
{
    /**
     * 查询假期设置
     *
     * @param holidayId 假期设置主键
     * @return 假期设置
     */
    public KqHoliday selectKqHolidayByHolidayId(Long holidayId);

    /**
     * 查询假期设置列表
     *
     * @param kqHoliday 假期设置
     * @return 假期设置集合
     */
    public List<KqHoliday> selectKqHolidayList(KqHoliday kqHoliday);

    /**
     * 新增假期设置
     *
     * @param kqHoliday 假期设置
     * @return 结果
     */
    public int insertKqHoliday(KqHoliday kqHoliday);

    /**
     * 修改假期设置
     *
     * @param kqHoliday 假期设置
     * @return 结果
     */
    public int updateKqHoliday(KqHoliday kqHoliday);

    /**
     * 删除假期设置
     *
     * @param holidayId 假期设置主键
     * @return 结果
     */
    public int deleteKqHolidayByHolidayId(Long holidayId);

    /**
     * 批量删除假期设置
     *
     * @param holidayIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKqHolidayByHolidayIds(Long[] holidayIds);

    public KqHoliday selectKqHolidayByHolidayTimeStamp(Long timeStamp);

    public int deleteKqHolidayByHolidayTimeStamp(Long holidayId);
}
